Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001235TestLinkTest Specificationpublic2007-12-21 00:042008-11-07 19:46
Reporterdwatson 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.8 Beta 1 
Summary0001235: Can't Create Test Case after creating a testSuite
DescriptionWhen trying to create a test case after specifying a test suite, gets an error message indicating that the creation was not fully successful .. The exact error message is shown below .. The exported XML file to recreate the hierachy of test suites and the end test case is attached as all_testsuites.xml
Additional InformationCreate Test Suite Error Message:
debug 20071209 - \ - --- 1362
id 0 - parent_id 1362

Create Test Case Error Message:

ERROR ON exec_query() - database.class.php
1054 - Unknown column 'execution_type' in 'field list' - INSERT INTO tcversions (id,version,summary,steps, expected_results,author_id,creation_ts,execution_type) VALUES(1364,1,'','','',1,'2007-12-20 10:18:51', 1 )

THE MESSAGE :: SQL [13] executed [took 0.0008 secs][all took 0.0274 secs]: INSERT INTO tcversions (id,version,summary,steps, expected_results,author_id,creation_ts,execution_type) VALUES(1364,1,'','','',1,'2007-12-20 10:18:51', 1 ) Query failed: errorcode[1054] errormsg:Unknown column 'execution_type' in 'field list'

debug 20071209 - \ - --- 1362
id 0 - parent_id 1362
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesxml file icon all_testsuites.xml [^] (1,885 bytes) 2007-12-21 00:05

- Relationships

-  Notes
(0002849)
dwatson (reporter)
2007-12-21 00:26

This problem is a result of an upgrade from 1.7 database - the 'execution_type' field was not properly added into the tcversions table.
Once this field was added into the table, I was able to add in test cases properly .. So, the issue appears to be with the table update from 1.7 -> 1.8
(0002851)
fman (administrator)
2007-12-21 19:31

OK, thanks.
rememberd 1.8 is pre-alpha code

- Issue History
Date Modified Username Field Change
2007-12-21 00:04 dwatson New Issue
2007-12-21 00:05 dwatson File Added: all_testsuites.xml
2007-12-21 00:26 dwatson Note Added: 0002849
2007-12-21 04:11 schlundus Status new => assigned
2007-12-21 04:11 schlundus Assigned To => fman
2007-12-21 19:31 fman Note Added: 0002851
2008-01-07 18:56 fman Status assigned => resolved
2008-01-07 18:56 fman Fixed in Version => next development version (1.8 Beta1)
2008-01-07 18:56 fman Resolution open => fixed
2008-06-03 16:49 mhavlat Fixed in Version next development version (1.8 Beta1) => 1.8 Beta 1
2008-11-07 19:46 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker